Provide feedback on tasks in an Employee's Task Profile
curl --request PATCH \
--url https://{tenant_name}.{region}.techwolf.ai/employees/{employee_external_id}/task_profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tasks": [
{
"task_id": "56dcdb53-264e-f380-50bf-5179e2d082af",
"has_task": true
},
{
"task_id": "cf13c829-9ffa-b577-7046-0f5df5f1f8eb",
"has_task": false
}
],
"source": "workday"
}
'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/employees/{employee_external_id}/task_profile"
payload = {
"tasks": [
{
"task_id": "56dcdb53-264e-f380-50bf-5179e2d082af",
"has_task": True
},
{
"task_id": "cf13c829-9ffa-b577-7046-0f5df5f1f8eb",
"has_task": False
}
],
"source": "workday"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tasks: [
{task_id: '56dcdb53-264e-f380-50bf-5179e2d082af', has_task: true},
{task_id: 'cf13c829-9ffa-b577-7046-0f5df5f1f8eb', has_task: false}
],
source: 'workday'
})
};
fetch('https://{tenant_name}.{region}.techwolf.ai/employees/{employee_external_id}/task_profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"title": "400 Bad Request",
"description": "The request body was not structured correctly."
}
][
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
][
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
][
{
"title": "404 Not Found",
"description": "Unknown external_id describing this resource. Please create this resource first."
}
][
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
][
{
"title": "415 Unsupported Media Type",
"description": "Content-type must be one of: application/json"
}
]"max connections reached: <limit>"[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]Task Profile
Provide feedback on tasks in an Employee's Task Profile
Provide feedback on one or more tasks in an Employee’s Task Profile.
Note: This endpoint is experimental and may change in future versions.
Provide feedback on tasks in an Employee's Task Profile
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The external identifier of the Employee.
Body
application/json
Response
No Content
Was this page helpful?
⌘I